CSFML

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
sfVertex Struct Reference

Define a point with color and texture coordinates. More...

`#include <Vertex.h>`

## Data Fields
sfVector2f | position
| Position of the vertex. More...
sfColor | color
| Color of the vertex. More...
sfVector2f | texCoords
| Coordinates of the texture's pixel to map to the vertex. More...

## Detailed Description

Define a point with color and texture coordinates.

Definition at line 39 of file Vertex.h.

## Field Documentation

sfColor sfVertex::color

Color of the vertex.

Definition at line 42 of file Vertex.h.

sfVector2f sfVertex::position

Position of the vertex.

Definition at line 41 of file Vertex.h.

sfVector2f sfVertex::texCoords

Coordinates of the texture's pixel to map to the vertex.

Definition at line 43 of file Vertex.h.

The documentation for this struct was generated from the following file:

- Vertex.h